Package tigase.util.processing

## Class WorkerThread

- java.lang.Object
- - java.lang.Thread
  - - tigase.util.processing.WorkerThread

- All Implemented Interfaces:
    `java.lang.Runnable`

      public abstract class WorkerThread
      extends java.lang.Thread

  Created: Apr 21, 2009 9:02:57 PM
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.util.logging.Logger` | `log` |

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkerThread()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getAverageProcessingTime()` |
    `abstract WorkerThread` | `getNewInstance()` |
    `long` | `getRunsCounter()` |
    `boolean` | `offer​(QueueItem item)` |
    `abstract void` | `process​(QueueItem item)` |
    `void` | `run()` |
    `void` | `setQueueMaxSize​(int maxSize)` |
    `void` | `shutdown()` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final java.util.logging.Logger log

  - ### Constructor Detail

    - #### WorkerThread

          public WorkerThread()

  - ### Method Detail

    - #### getNewInstance

          public abstract WorkerThread getNewInstance()

    - #### process

          public abstract void process​(QueueItem item)

    - #### getAverageProcessingTime

          public long getAverageProcessingTime()

    - #### getRunsCounter

          public long getRunsCounter()

    - #### offer

          public boolean offer​(QueueItem item)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### setQueueMaxSize

          public void setQueueMaxSize​(int maxSize)

    - #### size

          public int size()

    - #### shutdown

          public void shutdown()